Release Version 3.1.1 [16 AUG 2005]
-----------------------------------
	- added tutorial level set created by Aaron Davidson
	- added editor element descriptions written by Aaron Davidson
	- added native game engine for Emerald Mine (Club) levels
	- added level skipping functionality to main menu
	- added support for dumping small-sized level sketches from editor
	- added use of "editorsetup.conf" for different level sets
	- lots of bugfixes and internal engine changes (see ChangeLog)

Release Version 3.1.0 [07 JUN 2004]
-----------------------------------
	- fixed obvious bug with wrong "Murphy" graphics (when digging etc.)
	- fixed a lot of Emerald Mine and Supaplex game engine emulation bugs
	- re-converted Emerald Mine and Supaplex levels to apply engine fixes
	- changed default snap/drop keys from left/right Shift to Control keys
	- added level loader for loading native Emerald Mine levels
	- added level loader for loading native Supaplex packed levels
	- added group elements for multiple matches and random element creation
	- added elements that can be digged or left behind by custom elements
	- added element "Sokoban field with player" missing for Sokoban levels
	- added custom element features to allow building of teleporters
	- added option to use step limit instead of time limit for level
	- added pressing "space" key as valid action to select menu options
	- added clipboard (cut and paste buttons) for custom and group elements
	- added shortcut to dump brush (type ":DB" in editor) for use in forum
	- added network multiplayer code for Windows (still only command line)
	- replaced old tutorial level set with far better one by Niko Böhm
	- "contributions" levels now separate package to make base set smaller
	- too many bugfixes and changes to list them all here (see ChangeLog)

Release Version 3.0.8 [14 DEC 2003]
-----------------------------------
	- added "musicinfo.conf" for menu and level music configuration
	- added "editorsetup.conf" for editor element list configuration
	- added "copy" and "exchange" functions for custom elements to editor
	- added configurable "bored" and "sleeping" animations for the player
	- added "awakening" sound for player when waking up after sleeping
	- added configurable element animations for info screen
	- added configurable music credits for info screen
	- added configurable level set information for info screen
	- added warnings for undefined token values in artwork config files
	- menu entries now also selectable by clicking on entry text
	- better sniksnak turning movement (two steps instead of only one)
	- fixed turning movement of butterflies and fireflies (no frame reset)
	- fixed bug with wrong default impact sound for colored emeralds
	- fixed bug with double nut cracking sound
	- fixed a very nasty bug in dragon turning code in TurnRoundExt()
	- finally fixed tape recording when player is created from CE change
	- added new contributed levels from the following players:
	  + Audrius Saikunas (4 levels)
	  + Efraim Yawitz (20 levels)
	  + Krystian Abramowicz (100 levels)
	  + Paul E Collins (formerly known as Equinox Tetrachloride; 64 levels)
	  + Sebastian Simon (12 levels)
	- amazing new level set:
	  + "BD2K3" from Alan Bond
	  + 43 levels full of BD nostalgia, action and fantastic effects
	  + overwhelming use of custom elements
	  + complete artwork set with graphics, sounds and music
	  + available as a separate download from www.artsoft.org
	- another great level set was updated:
	  + "jue2" from Jürgen Bonhagen
	  + 15 new mind-boggling levels full of new challenges for your brain
	  + complete artwork set with graphics and sounds
	  + available for downloading from "http://www.jb-line.de/rnd.html"

Release Version 3.0.7 [10 NOV 2003]
-----------------------------------
	- fixed incorrectly displayed animation for attacking dragon
	- fixed bug with not setting initial gravity for each new game
	- fixed bug with teleportation of player by custom element change
	- fixed bug with player not getting smashed by rock sometimes
	- fixed serious bug in code for delayed element pushing
	- fixed little bug in animation frame selection for pushed elements
	- fixed bug when pushing element that can move away to the side
	- fixed tape recording when player is created from CE element change
	- fixed player animation frame reset for identical animations
	- unavailable setup options now marked as "n/a" instead of "off"
	- prevent "extended" changed elements from delay change in same frame
	- speed-up of reading config file for verbose output
	- added configuration option for opening and closing Supaplex exit
	- added configuration option for moving up/down animation for Murphy
	- added animation for "turning" action (for elements with move delay)
	- added turning animations for bug, spaceship and sniksnak

Release Version 3.0.6 [06 OCT 2003]
-----------------------------------
	- fixed bug when initializing font graphic structure
	- fixed bug with animation mode "pingpong" when using only 1 frame
	- fixed bug with extended change target introduced in 3.0.5
	- fixed bug where passing over moving element doubles player speed
	- fixed bug with elements continuing to move into push direction
	- fixed bug with duplicated player when dropping bomb with shield on
	- fixed switching bug (resetting flag when not switching but not idle)
	- fixed element tokens for certain file elements with ".active" etc.
	- added "switching" event for custom elements ("pressing" only once)
	- added support for MP3 music for SDL version through SMPEG library

Release Version 3.0.5 [29 SEP 2003]
-----------------------------------
	- fixed bug in multiple config pages loader code that caused crashes
	- enhanced (remaining low-resolution) Supaplex graphics
	- active/inactive sides configurable for custom element changes
	- new movement type "move when pushed" available for custom elements
	- now four envelope elements available
	- font, background, animation and sound for envelope now configurable
	- main menu doors opening/closing animation type now configurable

Release Version 3.0.4 [13 SEP 2003]
-----------------------------------
	- fixed bug in multiple config pages code that caused crashes
	- fixed bug in custom definition of crumbled element graphics

Release Version 3.0.3 [08 SEP 2003]
-----------------------------------
	- fixed bug (missing array boundary check) which could crash the game
	- fixed problem with setting mouse cursor in SDL version in fullscreen
	- fixed problem with flickering when drawing toon animations
	- fixed problem with player animation when snapping and moving
	- fixed several nasty bugs that may have caused crashes on some systems
	- added envelope content which gets displayed when collecting envelope
	- added multiple change event pages for custom elements
	- added support for loading various music formats through SDL_mixer
	- added music to Supaplex classic level set

Release Version 3.0.2 [22 AUG 2003]
-----------------------------------
	- fixed bug with messing up custom element properties in 3.0.0 levels
	- fixed bug with choosing wrong engine version when playing tapes
	- fixed bug with creating inaccessible elements at player position
	- fixed bug with not finding current level artwork directory

Release Version 3.0.1 [18 AUG 2003]
-----------------------------------
	- fixed bug that caused a crash at startup under Solaris
	- fixed bug that caused the DOS version not finding its files
	- fixed bug with missing graphic for active red disk bomb
	- added custom element property for dropping collected elements
	- added another 128 custom elements for those who can't get enough
	- fixed PCX files in the DOS version ("classic" graphics only)

Release Version 3.0.0 [05 AUG 2003]
-----------------------------------
	- final version bumped to 3.0.0 due to the massive changes
	- graphics and sounds now completely and dynamically customizable
	- custom elements now have lots of configurable properties
	- advanced custom element settings for powerful, self-created elements
	- fixed Supaplex gravity tubes
	- fixed very nasty bug in SDL_image (and X11) PCX loading routine
	- fixed some very nasty bugs in bitmap zoom routine
	- fixed very nasty bug in level/artwork loading routine
	- added new contributed levels and artwork from the following players:
	  * in the section "Contributions - 2002":
            + Abby King (14 levels)
	    + Alan Bond (30 levels, all solvable, BD style artwork set)
	    + David Hutchinson (25 levels, artwork set)
	    + Equinox Tetrachloride (50 levels + 100 levels, all solvable)
	    + Sylvan Hancock (39 levels)
	  * in the section "Contributions - 2003":
	    + Andreas Buschbeck (85 levels, all solvable, complete artwork set)
	    + Edward Leuf (10 levels, all solvable, artwork set)
	    + Emanuel Schmieg (22 levels, all solvable, complete artwork set)
	    + Gavin Davidson (47 levels)
	    + Jorge Jordan (17 levels)
	    + Rafael Gatti (17 levels)
	    + Randy Johannessen (17 levels)
	    + Richard Valvona (3 levels)
	    + Sam Bateman (35 levels)
	- great new levels with full artwork are now available from:
	  + Juergen Bonhagen (with complete artwork set)
	    * download these levels from "http://www.jb-line.de/"
	  + Andreas Buschbeck (with complete artwork set)
	    * download these levels from "http://home.vr-web.de/~abuschbeck/"

Pre-Release Version 2.2.0rc7 [17 JUL 2003]
------------------------------------------
	- fixed bug when picking element in the editor
	- added more custom elements properties
	- fixed bugs when smashing penguin

Pre-Release Version 2.2.0rc6 [22 APR 2003]
------------------------------------------
	- fixed small font configuration directive bug
	- tape recorder font slightly enhanced (now complete character set)
	- added missing font configuration source file
	- added updated CHANGES file ;-)

Pre-Release Version 2.2.0rc5 [20 APR 2003]
------------------------------------------
	- added generic selectbox gadget
	- added special mouse cursor for playfield while playing
	- font handling now more flexible (support for ISO-Latin-1 fonts)
	- font graphics adjusted accordingly

Pre-Release Version 2.2.0rc4 [30 MAR 2003]
------------------------------------------
	- changes for menu configuration
	- not officially announced pre-release version
	- Emerald Mine text font now much better quality

Pre-Release Version 2.2.0rc3 [11 FEB 2003]
------------------------------------------
	- first custom element properties
	- animation configuration for dynamically defined element actions
	- automatically downscaled graphics (small graphics not needed anymore)
	- ".EDITOR" and ".PREVIEW" suffixes for special editor/preview graphics
	- toon animations (and number of toons) now fully configurable

Pre-Release Version 2.2.0rc2 [13 JAN 2003]
------------------------------------------
	- added support for stereo WAV sound files
	- moving objects can now have arbitrary animation length
	- new batch command for dumping level information
	- added support for background images for all menu screens
	- added 128 custom elements that can be decorated with own graphics
	- added some example levels showing how to create custom artwork
	- added new contributed levels from the following players:
	  + Emanuel Schmieg: "Into The Ice Caves" (22 levels + artwork)

Pre-Release Version 2.2.0rc1 [31 DEC 2002]
------------------------------------------
	- level series artwork now configurable via level series config file
	- single graphics and animations can now be replaced with different
	  ones (independantly from default image files which may be larger)
	  by defining and using additional image files
	- element animation length, speed and mode now freely configurable
	- automatic tape playing function for game engine and level testing
	- missing steel wall graphic added (thanks to Equinox Tetrachloride)
	- added new contributed levels from the following players:
	  + Abby King (14 levels)
	  + Andreas Buschbeck (80 levels with complete artwork set)
	  + David Hutchinson (25 levels with graphics set)
	  + Equinox Tetrachloride (150 levels guaranteed to be solvable)
	  + Sylvan Hancock (39 levels)

Release Version 2.1.1 [13 AUG 2002]
-----------------------------------
	- sound bug (causing crashes) fixed (reported by Keith Peterston)
	- support for /dev/sound/dsp (devfs) added (thanks to Christoph Bauer)
	- small NetBSD compilation bug fixed (thanks to Adam Ciarcinski)
	- default keys for "snap field" and "place bomb" fixed for Mac OS X
	- added new contributed levels from the following players:
	  + Alan Bond
	  + Gerrit Holl and Timen van den Berg

Release Version 2.1.0 [05 AUG 2002]
-----------------------------------
	- native Mac OS X port (finally!)
	- graphics, sounds and music now fully configurable
	- added support for TrueColor PCX graphics files
	- added support for 16 bit WAV sound files
	- enhanced sound system (especially regarding stereo and loop sounds)
	- new structured setup menu (with sub-menues for graphics and sounds)
	- added "quick save" and "quick load" functions with shortcut key
	- added single-step playing mode (automatic pause after each step)
	- behaviour of "Escape" key in level editor now more intuitive
	- changed default slipping behaviour of gems back to 2.0.0 style;
	  this is now an element property for gems in the level editor,
	  although existing converted levels use the new EM gems behaviour
	- bug fixed that prevented walking through tubes when gravity on
	- added Boulder Dash style "snap-pushing" (thanks to Achim Härtel)
	- fixed memory leak in image loading code
	- fixed some "solid" elements that were accidentally destructible
	- fixed some tape stuff
	- added new contributed levels from the following players:
	  + Conor Mancone
	  + Gavin Davidson
	  + Jerome Kunegis
	  + Rüdiger Schäfer
	  + Flyboy: level group "Cops and Robbers", with own graphics set
	- added custom graphics set "Animal Kingdom" by Flyboy

Release Version 2.0.1 [19 MAR 2002]
-----------------------------------
	- bug in explosion code fixed that broke level 24 of "Baby Ghost Mine"
	- several Supaplex emulation bugs fixed (thanks to Mihail Milushev):
	  + orange disk does not fall off from slippery elements
	  + infotrons kill electrons and snik snaks and trigger orange disks
	  + explosion chain reactions are now a bit slower than murphy
	- behaviour of robots adjusted to make them less aggressive
	  (needed for quite some Emerald Mine Club levels)
	- emeralds and diamonds now fall off normal, steel and growing walls,
	  as this is the correct behaviour in Emerald Mine; existing private
	  and contributed levels will still behave as before, unless saved
	  again (with or without modifications) from the level editor of the
	  current version of the game
	- icon for Windows executable added
	- bug when selecting default level series fixed
	- new IFF style file format for level and tape files
	- bug in storing amoeba content fixed
	- nasty tape bugs fixed (completely reworked tape stuff)
	- fullscreen mode now works with Windows (workaround for bug in SDL)
	- /dev/dsp support for NetBSD added (thanks to Krister Walfridsson)
	- file permissions when saving files and creating directories changed
	- some small sound bugs fixed
	- added new contributed levels from the following players:
	  + Arno Luppold
	  + Barak Shacked
	  + Ben Braithwaite
	  + Dominik Seichter
	  + Emilio Hemken
	  + Glenn Alexander
	  + Helge Hafting
	  + Paul Sutton

Release Version 2.0.0 [01 JAN 2001]
-----------------------------------
	- major code redesign to maintain generic game functions in a separate
	  library and make it easier to port the game to new targets like SDL
	- can be compiled with SDL library to build native Windows version
	- DOS and Windows versions can be compiled with gcc cross-compiler
	- trying to open already busy audio device does not block the game
	- bug in network playing code fixed (patch from web site)
	- SDL version can load and play music modules
	- bug in level editor fixed for EM doors and keys element description
	- sound sample frequency raised from 8 kHz to 22 kHz

Release Version 1.4.0 [27 OCT 1999]
-----------------------------------
	- new Boulder Dash elements for better game emulation
	- new cool medium-sized crystal font
	- new elements and graphics for Diamond Caves II levels
	- new elements and graphics for Emerald Mine Club levels
	- brushed-up (higher resolution) graphics for Supaplex elements
	- special oversized Supaplex levels included
	- new elements for more authentic Emerald Mine elements (doors)
	- more level editor enhancements:
	  element list scrollbar and level number selection within editor
	- lots of new levels converted from Emerald Mine Club disks,
	  DX-Boulderdash and Supaplex
	- new levels created and contributed by players
	- now over 160 level series with over 14.000 levels
	- high score list now scrollable to see all 100 entries
	- new 16-bit elements level format to allow more than 256 elements
	- re-introduced level handicap for more challange (levels must be
	  solved to be able to play the next one; can be disabled in setup)
	- new setup option to disable time limit for relaxed playing :-)
	- GAME_DIR path split into RO_GAME_DIR and RW_GAME_DIR to allow
	  distributors to separate read-only (levels, graphics, sounds)
	  from writable (hich scores) game data
	- new personal level setup files to store level handicap and
	  last played level for each level series
	- removed some 32-bit dependent code; should be 64-bit clean now
	- some little bugs fixed

Release Version 1.3.0 [5 FEB 1999]
----------------------------------
	- strongly enhanced level editor
	- new elements, graphics and levels for Supaplex style games
	- completely rewritten platform independent gadget code
	  (buttons, scrollbars, text and number input gadgets)
	- nasty sound bug fixed (showed up with Linux kernel 2.2.x)

Release Version 1.2.0 [5 DEC 1998]
----------------------------------
	- DOS/Windows version
	- new WAV sound loader (to replace the old Amiga 8SVX files)
	- new PCX graphics loader (to avoid GIF license problems)
	- network multiplayer games with upto four players
	- no separate network server needed; each client can
	  fork a network server at startup if there's no server
	  running at this moment
	- possibility to invoke the game to act as a standalone
	  network server (on a separate machine, for example)
	- local multiplayer games with upto four players
	- support for upto four joysticks
	- completely free customizable keyboard and joystick
	  for all four players individually
	- new joystick calibration screen which can be left
	  (with Escape key) if no joystick is connected... ;-)
	- new (working) GIF graphics loader (but still support
	  for the old XPM method)
	- supports private colormap with extremely less flashing
	  on 8-bit (256 colors) displays
	- soft-scrolling with 50 frames per second (which raises
	  the system requirements and makes it completely
	  unplayable on my "old reference" 486/33 (where 0.9b runs
	  smoothly) and running at 90% speed on my K6-200.
	- completely new file format for personal setup data
	  in ASCII format which is human readable and easily
	  customizable even with a texteditor; stored in the
	  user's home directory and no longer somewhere in the
	  game's installation directory
	- high score lists changed: now one file per level and
	  no longer one file per level series; now using readable
	  ASCII format
	- useful command line options to specify the X11 display,
	  the game's base (installation) directory, an alternate
	  level directory, standalone server execution and verbose
	  execution

Version 1.1 [???] [NOT RELEASED]
--------------------------------
	- new (but broken) GIF graphics loader to be independent
	  from the XPM library and to replace all graphics by GIF files

Version 1.0 [9 APR 1997] [NOT RELEASED]
---------------------------------------
	- the game now contains many really playable levels,
	  not only a few levels for testing
	- the game is now even better playable by keyboard
	  (now you have the same gameplay functionality
	  compared to playing with a joystick. Especially
	  there are diagonal directions with keyboard playing
	  and the fire buttons are mapped to the shift keys)
	- a lot of new elements for better emulation of levels
	  from the games "Boulder Dash", "Emerald Mine" and
	  "Sokoban". New elements to build "Dynablaster" style
	  levels.
	- enhanced functionality of the level tape recorder
	  to make it possible to go on with a game at any tape
	  position

Version 0.9b2 [21 NOV 1995] [NOT RELEASED]
------------------------------------------
	- new game elements

Pre-Release Version 0.9b [4 NOV 1995]
-------------------------------------
	- the game is now completely Freeware
	- the game is now better playable by keyboard
	  (in the last version, the player was making more than
          one step for one keystroke in some cases -- thanks to
	  Warwick Allison for the hint with "XSync()"!)
	- new amoeba type with configurable content (like in the
	  original C64 version, when aboeba cannot grow anymore
	  and explodes to diamonds or some other elements)
	- compile error with ONE_PER_NAME in high score function
	  removed (thanks to Dmitry Kohmanyuk)
	- little code cleanup (to get some new bugs ;)
	- FreeBSD sound and joystick support (thanks to Jean-Marc
	  Zucconi)

Pre-Release Version 0.9 [23 OCT 1995]
-------------------------------------
	- first (pre)release version
